## nusoapservermime

Description

nusoap_server_mime server supporting MIME attachments defined at http://www.w3.org/TR/SOAP-attachments. It depends on the PEAR Mail_MIME library.

- version: $Id: nusoapmime.php,v 1.13 2010/04/26 20:15:08 snichol Exp $
- author: Scott Nichol <snichol@users.sourceforge.net>
- author: Thanks to Guillaume and Henning Reich for posting great attachment code to the mail list

Located in /nusoapmime.php (line 498)

    nusoap_base
       |
       --nusoap_server
          |
          --nusoap_server_mime
             |
             --nusoapservermime

Variables

#### Inherited Variables

Inherited from nusoap_server_mime

> nusoap_server_mime::$mimeContentType
> nusoap_server_mime::$requestAttachments
> nusoap_server_mime::$responseAttachments

Inherited from nusoap_server

> nusoap_server::$debug_flag
> nusoap_server::$decode_utf8
> nusoap_server::$document
> nusoap_server::$externalWSDLURL
> nusoap_server::$fault
> nusoap_server::$headers
> nusoap_server::$methodname
> nusoap_server::$methodparams
> nusoap_server::$methodreturn
> nusoap_server::$methodreturnisliteralxml
> nusoap_server::$methodURI
> nusoap_server::$operations
> nusoap_server::$outgoing_headers
> nusoap_server::$request
> nusoap_server::$requestHeader
> nusoap_server::$requestHeaders
> nusoap_server::$requestSOAP
> nusoap_server::$response
> nusoap_server::$responseHeaders
> nusoap_server::$responseSOAP
> nusoap_server::$result
> nusoap_server::$SOAPAction
> nusoap_server::$wsdl
> nusoap_server::$xml_encoding

Inherited from nusoap_base

> nusoap_base::$charencoding
> nusoap_base::$debugLevel
> nusoap_base::$debug_str
> nusoap_base::$error_str
> nusoap_base::$namespaces
> nusoap_base::$revision
> nusoap_base::$soap_defencoding
> nusoap_base::$title
> nusoap_base::$typemap
> nusoap_base::$usedNamespaces
> nusoap_base::$version
> nusoap_base::$xmlEntities
> nusoap_base::$XMLSchemaVersion

Methods

#### Inherited Methods

Inherited From nusoap_server_mime

> nusoap_server_mime::addAttachment()
> nusoap_server_mime::clearAttachments()
> nusoap_server_mime::getAttachments()
> nusoap_server_mime::getHTTPBody()
> nusoap_server_mime::getHTTPContentType()
> nusoap_server_mime::getHTTPContentTypeCharset()
> nusoap_server_mime::parseRequest()

Inherited From nusoap_server

> nusoap_server::nusoap_server()
> nusoap_server::add_to_map()
> nusoap_server::configureWSDL()
> nusoap_server::fault()
> nusoap_server::getHTTPBody()
> nusoap_server::getHTTPContentType()
> nusoap_server::getHTTPContentTypeCharset()
> nusoap_server::invoke_method()
> nusoap_server::parseRequest()
> nusoap_server::parse_http_headers()
> nusoap_server::parse_request()
> nusoap_server::register()
> nusoap_server::send_response()
> nusoap_server::serialize_return()
> nusoap_server::service()
> nusoap_server::verify_method()

Inherited From nusoap_base

> nusoap_base::nusoap_base()
> nusoap_base::appendDebug()
> nusoap_base::clearDebug()
> nusoap_base::contractQname()
> nusoap_base::debug()
> nusoap_base::expandEntities()
> nusoap_base::expandQname()
> nusoap_base::formatDump()
> nusoap_base::getDebug()
> nusoap_base::getDebugAsXMLComment()
> nusoap_base::getDebugLevel()
> nusoap_base::getError()
> nusoap_base::getGlobalDebugLevel()
> nusoap_base::getLocalPart()
> nusoap_base::getmicrotime()
> nusoap_base::getNamespaceFromPrefix()
> nusoap_base::getPrefix()
> nusoap_base::getPrefixFromNamespace()
> nusoap_base::isArraySimpleOrStruct()
> nusoap_base::serializeEnvelope()
> nusoap_base::serialize_val()
> nusoap_base::setDebugLevel()
> nusoap_base::setError()
> nusoap_base::setGlobalDebugLevel()
> nusoap_base::varDump()
> nusoap_base::__toString()

Documentation generated on Mon, 26 Apr 2010 16:17:09 -0400 by phpDocumentor 1.3.0RC3